=head1 NAME

Gtk2::AccelLabel

=cut

=for position DESCRIPTION

=head1 DESCRIPTION

Note that the C<accel-widget> property is a hard reference to the
target widget.  If it's a container parent of the AccelLabel then it
will be a circular reference and will have to be unset by an explicit
C<destroy> when no longer wanted, as usual for such things.  See
L<Gtk2::MenuItem> for how this affects the common case of a MenuItem
containing a AccelLabel.

=cut



=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Misc
                      +----Gtk2::Label
                           +----Gtk2::AccelLabel



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 METHODS

=head2 widget = Gtk2::AccelLabel-E<gt>B<new> ($string)

=over

=item * $string (string) 

=back

=head2 widget or undef = $accel_label-E<gt>B<get_accel_widget> 

=head2 $accel_label-E<gt>B<set_accel_widget> ($accel_widget)

=over

=item * $accel_widget (Gtk2::Widget or undef) 

=back

=head2 integer = $accel_label-E<gt>B<get_accel_width> 

=head2 boolean = $accel_label-E<gt>B<refetch> 



=cut


=head1 PROPERTIES

=over

=item 'accel-closure' (GClosure : default undef : readable / writable / private)

The closure to be monitored for accelerator changes

=item 'accel-widget' (Gtk2::Widget : default undef : readable / writable / private)

The widget to be monitored for accelerator changes

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Misc>, L<Gtk2::Label>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

